<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["purvouch"]) {
    $purvouch = $_REQUEST["purvouch"];
    $hide = $_REQUEST["hide"];
    $hide_var = "";
    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = 0;
    $ctr = 0;

    $getpur = mysqli_query($conn, "Select * from pursacn where vouchno = '$purvouch' and source = 'PU' order by pursrno") or die(mysqli_error($conn));

    while ($fetpur = mysqli_fetch_array($getpur)) {
        $mctr++;

        $finditem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$fetpur[itemcode]'") or die(mysqli_error($conn));
        $fitem = mysqli_fetch_array($finditem);

        Echo "<tr>";
        Echo "<td><i class='fa fa-close remove'></i></td>";
        Echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'>"
        . "<input type='hidden' class='form-control form text-right pursrno' name='pursrno_$ctr' value='$fetpur[pursrno]'></td>";
        Echo "<td><input type='text' class='form-control form itemcode barcode' name='barcode_$ctr' value='$fetpur[barcode]'></td>";
        Echo "<td>";
        Echo "<select class='form-control form fetchpart_$ctr item' name='item_$ctr' style='width:100%'>";
        Echo "<option value='$fitem[code]'>$fitem[name]</option>";
        $gitem = mysqli_query($conn, 'SELECT * FROM `item` order by name')or die(mysqli_error($conn));
        while ($item = mysqli_fetch_array($gitem)) {
            Echo "<option value='$item[code]'>$item[name]</option>";
        }
        Echo "</select>";
        Echo "</td>";
//        Echo "<td><input type='text' class='form-control form hsncode'              name='hsncode_$ctr'         value='$fetpur[hsncode]'></td>";

        Echo "<td><input type='text' class='form-control form text-right qty'       name='qty_$ctr'         value='$fetpur[qty]'></td>";
        Echo "<td>";
        Echo "<select class='form-control form fetchpart_$ctr unit' name='unit_$ctr' style='width:100%'>";
        Echo "<option value='$fetpur[unit]'>$fetpur[unit]</option>";
        $gunit = mysqli_query($conn, 'SELECT * FROM `unit` order by name')or die(mysqli_error($conn));
        while ($unit = mysqli_fetch_array($gunit)) {
            Echo "<option value='$unit[name]'>$unit[name]</option>";
        }
        Echo "</select>";
        Echo "</td>";
        Echo "<td><input type='text' class='form-control form text-right mrp'       name='mrp_$ctr'        value='$fetpur[mrp]' readonly></td>";
        Echo "<td><input type='text' class='form-control form text-right rate'      name='rate_$ctr'        value='$fetpur[rate]'></td>";
        Echo "<td><input type='text' class='form-control form text-right amount'    name='amount_$ctr'      value='$fetpur[amount]' readonly></td>";
        Echo "<td><input type='text' class='form-control form text-right discperc'  name='discperc_$ctr'      value='$fetpur[discperc]'></td>";
        Echo "<td><input type='text' class='form-control form text-right discount'  name='discount_$ctr'      value='$fetpur[discount]' readonly></td>";
        Echo "<td><input type='text' class='form-control form text-right total'     name='total_$ctr'      value='$fetpur[total]' readonly></td>";
//        Echo "<td><input type='text' class='form-control form text-right msp'       name='msp_$ctr'      value='$fetpur[msp]'></td>";
        Echo "</tr >";
        $ctr++;
    }
    echo "<input type='hidden' id='items' name='items' value='$ctr' />";
} else {
    echo "ERROR";
}
?>
 